/*
 * Created by SharpDevelop.
 * User: 007
 * Date: 11/16/2024
 * Time: 7:22 PM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace Pecina
{
	class Program
	{
		public static void Main(string[] args)
		{
			Console.WriteLine("Unesi broj stalaktita i svoju visinu:");
			string s=Console.ReadLine();
			int n=int.Parse(s.Split()[0]);
			int l=int.Parse(s.Split()[1]);
			
			Console.WriteLine("Unesi razdaljinu stalaktita od zemlje:");
			int[] H=new int[n];
			s=Console.ReadLine();
			for(int i=0;i<n;i++)
			{
				H[i]=int.Parse(s.Split()[i]);
			}
			
			int p=-1;
			
			for(int i=0;i<n;i++)
			{
				if(l>=H[i])
				{
					p=i+1;
					break;
				}
			}
			
			Console.WriteLine(p);
			
			Console.Write("Press any key to continue . . . ");
			Console.ReadKey(true);
		}
	}
}